View Issue Details

IDProjectCategoryView StatusLast Update
0002261Far ManagerFolder Shortcutspublic2013-04-25 16:59
ReporterfarmanAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002261: Expand environment variables in folder shortcuts menu
Descriptionhi again.

When I fill in (edit) a path in a foldershortcut and no Title then the path is automatically shown in normal foldershortcut window.

Using %farhome% as a foldershortcut shows me "%farhome%". But this should be the real path like "C:\TOOLS\FAR...".

Can you please fix that?
Steps To Reproducesee above.
Additional InformationThank you.
TagsNo tags attached.
Build3094

Activities

farman

2013-01-18 10:39

reporter   bugnote:0010043

Oh, I forgot this:

Of course I mean all environment variables. Not only "%farhome%".

2useven10

2013-01-18 14:16

developer   bugnote:0010045

'shows %farhome%' it is absolutly correct if goes to 'C:\TOOLS\FAR\...'

farman

2013-01-18 14:26

reporter   bugnote:0010046

yes, it is correct and works. this is not the point. i mean that it would be more practical to see the real path in the foldershortcut-popup and not the variable.

If someone like to see the name of the environment var then he can write it into the title.

2useven10

2013-01-18 14:43

developer   bugnote:0010047

And vice versa -- if someone like to see the real path he can write it into the title.
I want to see (and edit) in the edit field exactly what I wrote there last time.

farman

2013-01-18 14:55

reporter   bugnote:0010048

'vice versa' doesn't work if you're using different environment vars in different locations (portable aspect). that's the problem. it will always be "%farhome%" and you never see the real path. but it would be more helpful to see the real path - especially in different locations.

and on the other side: it is no problem to write "%farhome%" in title.

JohnDoe

2013-01-18 15:50

updater   bugnote:0010049

>I want to see (and edit) in the edit field exactly what I wrote there last time.
You are right about edit fields.
But may be it would be better to expand variable in Folder Shorcuts menu.

DrKnS

2013-01-18 16:45

administrator   bugnote:0010050

3094.

farman, please give more specific names to issues.

farman

2013-01-18 17:16

reporter   bugnote:0010053

Wow! The issue sounds very much better now.
Sorry, but somehow I couldn't see the trees in the forest.
;)

farman

2013-01-19 12:25

reporter   bugnote:0010056

It works. Thank you very much.

One thing I'm not sure if it is wanted:
If you hide both panels (Ctrl-O) and pick a foldershortcut from the Folder Shorcuts menu then it will not be executed. It is only copied to Commandline.

Althoguh this doesn't disturb me, it's a kind of nonuniformed. Or is there a special reason for this other way of behaviour?

DrKnS

2013-01-22 00:12

administrator   bugnote:0010094

I checked code, it's a feature: folder shortuts works in such way in any edit line, and command line is a edit line too.

farman

2013-01-22 10:06

reporter   bugnote:0010096

From the point of view of a programer this is ok. From users view this nonuniformed behaviour of the same key isn't really easy to understand.
But I think it will be ok.

At least F1 should be changed:

Now ():
If RightCtrl-0..9 pressed in edit line, it inserts the shortcut path into the line.
Suggestion:
If RightCtrl-0..9 pressed in a dialog edit line, it inserts the shortcut path into the line.
If you're working in Panel Mode and the panels are off, it inserts the shortcut path into the command line.

Will there be any chance to get the Folder Shortcut menu working like Farmenu? I mean Hotkeys for static Folders and the possibility to move entries via CtrlUp/Down?

DrKnS

2013-01-23 01:17

administrator   bugnote:0010099

Last edited: 2013-01-23 01:19

View 2 revisions

CtrlUp/Down added.
You can add static hotkeys yourself by inserting '&' anywhere in item name.

farman

2013-01-23 10:05

reporter   bugnote:0010100

Great. Thank you very much.

Inserting "&" is a nice trick. Although it would be nicer and more unique to have an extra field in "Folder Shortcut - Edit" like in Menu.

This trick and CtrlUp/Down should be added to "Folder Shortcut - F1" too.

Issue History

Date Modified Username Field Change
2013-01-18 10:35 farman New Issue
2013-01-18 10:39 farman Note Added: 0010043
2013-01-18 14:16 2useven10 Note Added: 0010045
2013-01-18 14:26 farman Note Added: 0010046
2013-01-18 14:43 2useven10 Note Added: 0010047
2013-01-18 14:55 farman Note Added: 0010048
2013-01-18 15:50 JohnDoe Note Added: 0010049
2013-01-18 16:40 DrKnS Assigned To => DrKnS
2013-01-18 16:40 DrKnS Status new => assigned
2013-01-18 16:42 DrKnS Summary %farhome% - still a problem left => Expand environment variables in folder shortcuts menu
2013-01-18 16:45 DrKnS Note Added: 0010050
2013-01-18 16:45 DrKnS Status assigned => feedback
2013-01-18 17:16 farman Note Added: 0010053
2013-01-18 17:16 farman Status feedback => assigned
2013-01-19 12:25 farman Note Added: 0010056
2013-01-22 00:12 DrKnS Note Added: 0010094
2013-01-22 10:06 farman Note Added: 0010096
2013-01-23 01:17 DrKnS Note Added: 0010099
2013-01-23 01:19 DrKnS Note Edited: 0010099 View Revisions
2013-01-23 10:05 farman Note Added: 0010100
2013-04-25 16:59 alexy Build => 3094
2013-04-25 16:59 alexy Status assigned => closed
2013-04-25 16:59 alexy Resolution open => fixed
2013-04-25 16:59 alexy Fixed in Version => 3.0